package app04c.util;

/**
 * A utility class for parsing and formatting dates using the default pattern.
 * If you need more than simple parsing and formatting,
 * you can obtain the underlying java.text.DateFormat object.
 */
import java.util.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

public class DateTool {
  private static DateFormat dateFormat;
  public DateTool(String datePattern) {
    dateFormat = new SimpleDateFormat(datePattern);
    dateFormat.setLenient(false);
  }
  public static Date parse(String dateString) throws ParseException {
    return dateFormat.parse(dateString);
  }
  public static String format(Date date) {
    return dateFormat.format(date);
  }
  
}
